<?php
/*
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-05-27 13:34:31
 * @LastEditors: likang
 * @LastEditTime: 2022-08-03 10:56:38
 */
// +----------------------------------------------------------------------
// | CatchAdmin [Just Like ～ ]
// +----------------------------------------------------------------------
// | Copyright (c) 2017~{$year} http://catchadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( https://github.com/yanwenwu/catch-admin/blob/master/LICENSE.txt )
// +----------------------------------------------------------------------
// | Author: JaguarJack [ njphper@gmail.com ]
// +----------------------------------------------------------------------

// you should use `$router`
$router->group(function () use ($router) {
	// hydraulic路由
	$router->resource('hydraulic', '\catchAdmin\hydraulic\controller\Hydraulic');
	// deviceMold路由
	$router->resource('deviceMold', '\catchAdmin\hydraulic\controller\DeviceMold');
	$router->get('get_device_mold', '\catchAdmin\hydraulic\controller\DeviceMold@getDeviceMold');
	// wrench路由
	$router->resource('wrench', '\catchAdmin\hydraulic\controller\Wrench');
	//获取维保记录映射
	$router->get('get_mainten_option', '\catchAdmin\hydraulic\controller\Maintenance@getMaintenOption');
	$router->resource('maintenance_mapper', '\catchAdmin\hydraulic\controller\Maintenance');
	// 扳手校验路由
	$router->resource('wrenchCheckRecord', '\catchAdmin\hydraulic\controller\WrenchCheckRecord');
	$router->get('wrenchCheckRecordData', '\catchAdmin\hydraulic\controller\WrenchCheckRecord@decordDataList');
	// 液压设备路由
	$router->resource('hydEquipment', '\catchAdmin\hydraulic\controller\HydEquipment');
	//导入设备列表
	$router->post('importHydExcel', '\catchAdmin\hydraulic\controller\HydEquipment@importExcel');
	//查看上传日志列表SelectLogByImei
	$router->get('selectLogByImei', '\catchAdmin\hydraulic\controller\HydEquipment@SelectLogByImei');
	//查看日志详情
	$router->get('getLogDetail', '\catchAdmin\hydraulic\controller\HydEquipment@getLogDetail');


	//获取类型获取设备
	$router->get('getAllHydEqu', '\catchAdmin\hydraulic\controller\HydEquipment@getAllHydEqu');
	//获取所有设备状态字典
	$router->get('getHydEquipmentType', '\catchAdmin\hydraulic\controller\HydEquipment@getHydEquipmentType');
	//智能仓储路由
	$router->resource('storageEquipment', '\catchAdmin\hydraulic\controller\StorageEquipment');
	$router->get('getTotalByEquipmentType', '\catchAdmin\hydraulic\controller\HydEquipment@getTotalByEquipmentType');
})->middleware('auth');
