<?php

namespace catchAdmin\hydraulic\model;

use catcher\base\CatchModel as Model;

class WrenchCheckRecordData extends Model
{
    // 表名
    public $name = 'wrench_check_record_data';
    // 数据库字段映射
    public $field = array(
        'id',
        // 压力
        'stress',
        // 扭矩
        'torque',
        // 校验记录id
        'wrench_check_id',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
}